Return renewal workflow operations matching the supplied filters.
GET
/api/workspace/entitlement-operations/renewal-operations
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/entitlement-operations/renewal-operations?Status=0&OperationKind=0"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/entitlement-operations/renewal-operations?Status=0&OperationKind=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/workspace/entitlement-operations/renewal-operations?Status=0&OperationKind=0'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”ModelId
string
PlanId
string
EntitlementId
string
Status
integer format: int32
OperationKind
integer format: int32
DueFromUtc
string format: date-time
DueToUtc
string format: date-time
Search
string
Page
integer format: int32
PageSize
integer format: int32
access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Paginated renewal operation list response.
object
Items
Array<object>
Renewal operation summary row.
object
Id
string
EntitlementId
string
EntitlementNumber
integer format: int64
EntitlementPlanId
string
EntitlementPlanDisplayName
string
EntitlementModelId
string
EntitlementModelDisplayName
string
EntitlementPeriodId
string
RenewalPolicyId
string
RenewalPolicyKey
string
OperationKind
integer format: int32
DueAtUtc
string format: date-time
Status
integer format: int32
ExternalReference
string
FailureCode
string
FailureMessage
string
RowVersion
string format: uuid
TotalCount
integer format: int32
Page
integer format: int32
PageSize
integer format: int32
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "Items": [ { "OperationKind": 0, "Status": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}